HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTreasuryInboundTransfersIdReturn

Contains the different functions to run the operation postTestHelpersTreasuryInboundTransfersIdReturn

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTreasuryInboundTransfersIdReturn.hs
valuepostTestHelpersTreasuryInboundTransfersIdReturn
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTreasuryInboundTransfersIdReturnRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTreasuryInboundTransfersIdReturnResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/treasury/inbound_transfers/{id}/return

<p>Marks the test mode InboundTransfer object as returned and links the InboundTransfer to a ReceivedDebit. The InboundTransfer must already be in the <code>succeeded</code> state.</p>

Defines the object schema located at paths./v1/test_helpers/treasury/inbound_transfers/{id}/return.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTreasuryInboundTransfersIdReturn.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTreasuryInboundTransfersIdReturnResponseError is used.

Instances2Eq, Show